//   Process case convetsion of single file\director
//     ProcessName - convert case of given filename
//                   use all options from `Opt`
//                   Call recurse for subdirectories
void ProcessName(char *OldFullName, DWORD FileAttributes, struct translit_map_t* map)
{
  char NewFullName[_MAX_PATH];
  char NewName[_MAX_PATH];
  char *ExtPtr;

  //Recurce to directories
  if( FileAttributes&FILE_ATTRIBUTE_DIRECTORY )
  {
    char Mask[_MAX_PATH];
    WIN32_FIND_DATA fd;
    HANDLE hFind;

    strcpy(Mask,OldFullName);
    strcat(Mask,"\\*");
    hFind = FindFirstFile(Mask,&fd);

    if( hFind!=INVALID_HANDLE_VALUE )
    {
      do
      {
        if( strcmp(fd.cFileName,".")!=0 && strcmp(fd.cFileName,"..")!=0 )
        {
          GetFullName(NewFullName,OldFullName,fd.cFileName);
          ProcessName(NewFullName,fd.dwFileAttributes,map);
        }
      }
      while( FindNextFile(hFind,&fd) );
      FindClose(hFind);
    }
  }

  strcpy(NewFullName, OldFullName);

  // Path
  ExtPtr = strrchr(NewFullName,'\\');
  if(ExtPtr)
    ExtPtr[1] = 0;
  else
    NewFullName[0] = 0;

  Translit(NewName,GetOnlyName(OldFullName),map);

  strcat(NewFullName,NewName);

  if( strcmp(OldFullName,NewFullName) && !MoveFile(OldFullName,NewFullName) ){
     const char *items[]={
        Info.GetMsg(Info.ModuleNumber,MErrorRen),
        OldFullName,
        "->",
        NewFullName
     };
     Info.Message(Info.ModuleNumber,FMSG_WARNING|FMSG_ERRORTYPE|FMSG_DOWN|FMSG_MB_OK,0,items,sizeof(items)/sizeof(items[0]),0);
  }

}
